POST https://api.cryptohopper.com/v1/hopper/{id}/position/hold/{position_id}

Puts one open position on hold.

OAuth scope: read manage About scopes

Not available for exchange arbitrage, market maker, copy and grid bots.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/hold/POSITION_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
position_id string Required Open position ID.
id string Required Hopper ID.

Query parameters

NameTypeRequiredDescription
hold string Optional Not used: this path always sets hold.

Response

Example response (illustrative values)

{
    "data": "Hold has been set for this position."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.